#!/bin/sh
LIB_PATH=/boot/home/config/lib
BACKUP_FILE="HybridDivxBackup-$(date +%Y.%m.%d-%H.%M.%S).zip"
RESPONSE=$(alert "Ready to compress your libavcodec.so to $BACKUP_FILE in $LIB_PATH" "Abort" "Ok")
if [ $RESPONSE == "Ok" ] ; then
	zip -m -j $LIB_PATH/$BACKUP_FILE $LIB_PATH/libavcodec.so
	alert "Done compressing your old libavcodec.so" "Ok"
fi
