#!/bin/sh
DECODER_PATH=/boot/home/config/add-ons/media/decoders
BACKUP_FILE="HybridDivxBackup-$(date +%Y.%m.%d-%H.%M.%S).zip"
RESPONSE=$(alert "Ready to compress your old home config decoders to $BACKUP_FILE in $DECODER_PATH" "Abort" "Ok")
if [ $RESPONSE == "Ok" ] ; then
	zip -m -j $DECODER_PATH/$BACKUP_FILE $DECODER_PATH/[dD]ivx* $DECODER_PATH/ff* $DECODER_PATH/*.dll $DECODER_PATH/*.DLL $DECODER_PATH/*.acm* $DECODER_PATH/mpeg1audio_fh.decoder
	alert "Done compressing your old home config decoders" "Ok"
fi
